Public Attributes | List of all members
_exflash_handle Struct Reference
Peripheral Driver » HAL Driver » EXFLASH » Structures » EXFLASH handle

exFlash handle Structure definition More...

`#include <gr55xx_hal_exflash.h>`

Collaboration diagram for _exflash_handle:
[legend]

## Public Attributes
xqspi_handle_t * | p_xqspi
| exFlash XQSPI Handle parameters More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_exflash_state_t | state
| exFlash communication state More...
__IO hal_exflash_security_t | security
| exFlash data security More...
__IO uint32_t | flash_id
| exFlash ID More...
__IO uint32_t | flash_size
| exFlash Size More...
__IO uint32_t | error_code
| exFlash Error code More...
uint32_t | retry
| Repeat times for the exFlash memory access. More...

## Detailed Description

exFlash handle Structure definition

Definition at line 118 of file gr55xx_hal_exflash.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _exflash_handle::error_code

exFlash Error code

Definition at line 132 of file gr55xx_hal_exflash.h.

## ◆ flash_id

__IO uint32_t _exflash_handle::flash_id

exFlash ID

Definition at line 128 of file gr55xx_hal_exflash.h.

## ◆ flash_size

__IO uint32_t _exflash_handle::flash_size

exFlash Size

Definition at line 130 of file gr55xx_hal_exflash.h.

## ◆ lock

__IO hal_lock_t _exflash_handle::lock

Locking object

Definition at line 122 of file gr55xx_hal_exflash.h.

## ◆ p_xqspi

xqspi_handle_t* _exflash_handle::p_xqspi

exFlash XQSPI Handle parameters

Definition at line 120 of file gr55xx_hal_exflash.h.

## ◆ retry

uint32_t _exflash_handle::retry

Repeat times for the exFlash memory access.

Definition at line 134 of file gr55xx_hal_exflash.h.

## ◆ security

__IO hal_exflash_security_t _exflash_handle::security

exFlash data security

Definition at line 126 of file gr55xx_hal_exflash.h.

## ◆ state

__IO hal_exflash_state_t _exflash_handle::state

exFlash communication state

Definition at line 124 of file gr55xx_hal_exflash.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_exflash.h